import { BadgeTone } from './Badge.types';
export declare const Badge: import('react').ForwardRefExoticComponent<import('react').HTMLAttributes<HTMLSpanElement> & {
    variant?: import('./Badge.types').BadgeVariant;
    tone?: BadgeTone;
    size?: import('./Badge.types').BadgeSize;
    dot?: boolean;
    count?: number;
    maxCount?: number;
    children?: import('react').ReactNode;
} & import('react').RefAttributes<HTMLSpanElement>>;
